let IdleGame = {
    data() {
        return {

        }
    },
    mounted() {
        setInterval(heartBeat, 60000);
        alert(getPastMinutes());
    },
    methods: {

    }
};

const heartBeat = () => {
    localStorage.setItem('heartBeat', moment().toISOString());
};

const getPastMinutes = () => {
    let lastHeartBeat = localStorage.getItem('heartBeat') ?? moment();
    let minutesPast = Math.round(moment.duration(moment().diff(lastHeartBeat)).as('minutes'));

    return minutesPast > 0 ? minutesPast : 0;
};

const IdleGameInstance = Vue.createApp(IdleGame).mount('#game');